> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bodhveda.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete notifications

> Deletes one or more notifications for the specified recipient.



## OpenAPI

````yaml DELETE /recipients/{recipient_id}/notifications
openapi: 3.0.3
info:
  title: Bodhveda Notifications API
  version: '1.0'
  description: API for sending notifications to recipients or broadcasting to all.
servers: []
security: []
paths:
  /recipients/{recipient_id}/notifications:
    delete:
      summary: Delete notifications
      description: Deletes one or more notifications for the specified recipient.
      parameters:
        - name: recipient_id
          in: path
          required: true
          schema:
            type: string
          description: Unique external identifier for the recipient.
      requestBody:
        required: false
        content:
          application/json:
            schema:
              type: object
              properties:
                ids:
                  type: array
                  description: >-
                    Array of notification IDs to delete. If omitted, all will be
                    deleted.
                  items:
                    type: integer
            example:
              ids:
                - 123
                - 456
      responses:
        '200':
          description: Successfully deleted notifications
          content:
            application/json:
              schema:
                type: object
                properties:
                  deleted_count:
                    type: integer
                    description: Number of notifications deleted.
                example:
                  deleted_count: 2
      security:
        - BearerAuthWithAPIKeyWithFullAcessScope: []
      x-codeSamples:
        - lang: curl
          label: cURL
          source: >-
            curl -X DELETE
            https://api.bodhveda.com/recipients/recipient_123/notifications \
              -H "Authorization: Bearer bv_xxxxxxxxx" \
              -H "Content-Type: application/json" \
              -d '{
                "ids": [123, 456]
              }' 
        - lang: javascript
          label: JavaScript
          source: >-
            import { Bodhveda } from "@bodhveda/js";


            const bodhveda = new Bodhveda("bv_xxxxxxxxx");


            const res = await
            bodhveda.recipients.notifications.delete("recipient_123", {
                ids: [123, 456],
            });

            // res.deleted_count
        - lang: go
          label: Go
          source: >-
            import (
                "context"

                bodhveda "github.com/MudgalLabs/bodhveda/sdk/go"
            )


            ctx := context.Background()

            client := bodhveda.NewClient("bv_xxxxxxxxx", nil)


            res, _ := client.Recipients.Notifications.Delete(ctx,
            "recipient_123", &bodhveda.DeleteNotificationsRequest{
                IDs: []int{123, 456},
            })

            // res.DeletedCount
        - lang: jsx
          label: React
          source: >-
            import { useDeleteNotifications } from "@bodhveda/react";


            // Requires a <BodhvedaProvider recipientID="recipient_123"> higher
            in the tree.

            function Delete({ ids }: { ids: number[] }) {
                const { mutate } = useDeleteNotifications();
                return <button onClick={() => mutate({ ids })}>Delete</button>;
            }
components:
  securitySchemes:
    BearerAuthWithAPIKeyWithFullAcessScope:
      type: http
      scheme: bearer
      bearerFormat: APIKey
      description: >-
        Bearer authentication header of the form `Bearer bv_xxxxxxxxx`, where
        `bv_xxxxxxxxx` is your **API Key** with `Full access` scope.

````